"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var HtCustomEvent = /** @class */ (function () {
    function HtCustomEvent() {
        this.topics = {};
        this.hOP = this.topics.hasOwnProperty;
    }
    HtCustomEvent.prototype.next = function (topic, info) {
        // If the topic doesn't exist, or there's no listeners in queue, just leave
        if (!this.hOP.call(this.topics, topic))
            return;
        // Cycle through topics queue, fire!
        this.topics[topic].forEach(function (item) {
            item(info != undefined ? info : {});
        });
    };
    HtCustomEvent.prototype.subscribe = function (topic, listener) {
        // Create the topic's object if not yet created
        if (!this.hOP.call(this.topics, topic))
            this.topics[topic] = [];
        // Add the listener to queue
        var index = this.topics[topic].push(listener) - 1;
        // Provide handle back for removal of topic
        return {
            unsubscribe: function () {
                delete this.topics[topic][index];
            }
        };
    };
    return HtCustomEvent;
}());
exports.HtCustomEvent = HtCustomEvent;
;
//# sourceMappingURL=custom-events.js.map