"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var date_fns_1 = require("date-fns");
function DateHumanize(value, arg) {
    if (arg === void 0) { arg = false; }
    if (typeof value == "string" && value.length > 4 && date_fns_1.isValid(new Date(value))) {
        var date = new Date(value);
        if (date_fns_1.isToday(date)) {
            return "Today";
        }
        else if (date_fns_1.isYesterday(date)) {
            return "Yesterday";
        }
        else if (date_fns_1.isTomorrow(date)) {
            return "Tomorrow";
        }
        else {
            return date_fns_1.format(date, "D MMM");
        }
    }
    else {
        return value;
    }
}
exports.DateHumanize = DateHumanize;
//# sourceMappingURL=date-humanize.js.map